package com.ama.core.architecture.util.state

import android.view.View
import androidx.core.view.isVisible
import com.ama.core.architecture.R
import com.gamedog.vididin.core.designsystem.stateview.state.interfaces.StateLoadingView


class DefaultStateLoadingView : ConstraintLayoutMergeStateBaseView(), StateLoadingView {
    private val loading by lazy { root!!.findViewById<View>(R.id.state_loading) }

    override fun getResId() = R.layout.view_state_loading

    override fun setVisible(isVisible: Boolean) {
        loading.isVisible = isVisible
    }
}